function OnPlayerSpawned(player)
  local arm_entity = EntityGetWithName("arm_r")
  local sprite_component = EntityGetFirstComponentIncludingDisabled(arm_entity, "SpriteComponent")
  local hotspot_component = EntityGetFirstComponent(player, "HotspotComponent", "right_arm_root")
  EntitySetComponentIsEnabled(arm_entity, sprite_component, false)
  ComponentSetValue2(hotspot_component, "sprite_hotspot_name", "")
  local noodle_arm = EntityLoad("mods/noodle_arm/files/arm.xml")

  -- Set the verlet positions to the arm position
  local verlet_physics_component = EntityGetFirstComponent(noodle_arm, "VerletPhysicsComponent")
  local positions = ComponentGetValue2(verlet_physics_component, "positions")
  local positions_prev = ComponentGetValue2(verlet_physics_component, "positions_prev")
  for i=1,#positions,2 do
    positions[i] = x
    positions[i+1] = y
    positions_prev[i] = x
    positions_prev[i+1] = y
  end
  ComponentSetValue2(verlet_physics_component, "positions", positions)
  ComponentSetValue2(verlet_physics_component, "positions_prev", positions_prev)

  EntityAddChild(player, noodle_arm)
end
